Bug 58397 - libORBit.la file not included in binary rpm
Summary: libORBit.la file not included in binary rpm
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ORBit   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-15 20:26 UTC by Chris Chabot
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 20:40:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Chabot 2002-01-15 20:26:06 UTC
When building ORBit-0.5.12 (rawhide of jan 14th), i noticed that the libORBit.la
file is not included in the %files part of the .spec file. This causes every
package that depends on it for building to fail.. (i noticed while recompiling
control-center & evolution).

the fix is simply to include %libdir/*.la ;-)

Comment 1 Havoc Pennington 2002-01-15 20:40:08 UTC
It should only cause builds to fail if you have previously built another library
against a version of ORBit that _did_ contain *.la

I haven't decided yet if it's a bug to include .la or a bug to leave it out...
they mostly just cause problems and have no apparent benefit...

Comment 2 Havoc Pennington 2002-02-08 22:56:51 UTC
OK, for now at least I've adopted the policy of "no .la files"



Note You need to log in before you can comment on or make changes to this bug.